<p-card [header]="nome">
  <ng-template pTemplate="header">
    <img class="h-18rem" alt="Card" [src]="'../../../assets/images/galpao/' + id + '.jpg'" />
  </ng-template>
  <ul>
    <li class="text-2xl">Capacidade: {{ capacidade }}</li>
    <li class="text-2xl">Quantidade de baias: {{ qbaias }}</li>
  </ul>
  <ng-template pTemplate="footer">
    <button
      pButton
      pRipple
      type="button"
      icon="pi pi-search"
      label="Ver baias"
      class="p-button-info text-2xl w-full"
      [routerLink]="['/galpoes/' + id + '/baias']"
      routerLinkActive="router-link-active"
    ></button>
  </ng-template>
</p-card>

<app-modal-cadastro
  title="Novo galpão"
  [toggle_visible]="tmodal"
  (interact)="interact($event)"
>
  <div class="grid">
    <app-div-input class="col-6" label="Nome">
      <input
        type="text"
        class="col-12 text-2xl"
        pInputText
        [(ngModel)]="nomeGalpao"
      />
    </app-div-input>

    <app-div-input class="col-6" label="Capacidade">
      <input
        type="number"
        class="col-12 text-2xl"
        pInputText
        [(ngModel)]="capacidade"
      />
    </app-div-input>

    <app-div-input class="col-6" label="Quantidade de baias">
      <input
        type="number"
        class="col-12 text-2xl"
        pInputText
        [(ngModel)]="qtdBaias"
      />
    </app-div-input>

    <div class="col-2"></div>

    <div class="col-2">
      <div class="grid">
        <span class="col-12 text-2xl" style="color: white"> . </span>
        <div class="col-12 py-0">
          <button
            pButton
            pRipple
            type="button"
            icon="pi pi-database"
            label="Salvar"
            class="w-full p-button-success text-2xl"
            (click)="interact('save')"
          ></button>
        </div>
      </div>
    </div>

    <div class="col-2">
      <div class="grid">
        <span class="col-12 text-2xl" style="color: white"> . </span>
        <div class="col-12 py-0">
          <button
            pButton
            pRipple
            type="button"
            icon="pi pi-times"
            label="Cancelar"
            class="w-full p-button-secondary text-2xl"
            (click)="interact('close')"
          ></button>
        </div>
      </div>
    </div>
  </div>
</app-modal-cadastro>
